Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class with_custodian_and_ward_postcall_t

# type with_custodian_and_ward_postcall_t

source code

           object --+
                    |
        call_policy_t --+
                        |
        compound_policy_t --+
                            |
    with_custodian_and_ward_t --+
                                |
                               with_custodian_and_ward_postcall_t

implements code generation for boost::python::with_custodian_and_ward_postcall call policies

Instance Methods

__init__(self, custodian, ward, base=None) | source code

Inherited from `compound_policy_t`: `__str__` Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`, `is_predefined`

Properties
Inherited from `with_custodian_and_ward_t`: `custodian`, `ward` Inherited from `compound_policy_t`: `base_policy` Inherited from `call_policy_t`: `header_file`

Method Details

### __init__(self, custodian, ward, base=None)
(Constructor)

source code

Overrides: call_policy_t.__init__